

/* Reset default styles for all elements */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
}

/* Define custom CSS variables for easy theme customization */
:root {
    --bg-color: #F5EEE6;        /* Background color */
    --text-color: #111111;      /* Text color */
    --main-color: #607274;      /* Main color accent */
    --big-font: 4rem;         /* Large font size */
    --h2-font: 3.3rem;          /* Heading 2 font size */
    --h3-font: 2rem;            /* Heading 3 font size */
    --normal-font: 1rem;        /* Normal font size */
}


/* Body styles */
body {
    background: var(--bg-color);
    color: var(--text-color);
}

/* menu navbar styles */
header {
    width: 100%;
    top: 0;
    z-index: 1000;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: transparent;
    padding: 20px 14%;
    transition: all .35s ease;
}

/* Logo styles */
.logo {
    font-size: 28px;
    font-weight: 700;
    letter-spacing: 1px;
    color: var(--text-color);
}

/* Navigation styles */
.navlist {
    display: flex;
    align-items: center;
    color: var(--text-color);
    font-weight: 600;
    padding: 10px 25px;
    font-size: var(--normal-font);
    transition: all .36s ease;
}

.navlist a {
    color: var(--text-color);
    font-weight: 600;
    padding: 10px 25px;
    font-size: var(--normal-font);
    transition: all .36s ease;
    text-decoration: none;
    text-transform: capitalize;

}

.navlist a:hover {
    color: var(--main-color);
}

/* Header icons styles */
.header-icons i {
    font-size: 30px;
    font-weight: 300;
    color: var(--text-color);
    margin-right: 20px;
    padding-right: 0%;
    transition: all .36s ease;
}

.header-icons i:hover {
    transform: scale(1.1);
    color: var(--main-color);
}

.icon{
    border-radius: 100%;
    overflow: hidden;
}

/* Menu icon styles */
#menu-icon {
    display: none;
   
}
  
/* Section styles */
section {
    padding: 100px 14%;
}

/* Home section styles */
.home {
    height: 100vh;
    width: 100%;
    background: url(images/hijabi0.jpg);  
    background-size: cover;
    background-position: center top;
    position: relative;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
    justify-content: space-between;
    padding-left: 60px;
    padding-top: 250px;
}

/* Home text styles */
.home-text h1 {
    font-size: var(--big-font);
    font-weight: 600;
    line-height: 1.1;
    letter-spacing: .6rem;
    margin-bottom: 1.5rem;
}

.home-text span {
    font-size: var(--h2-font);
}

.home-text p {
    font-size: var(--normal-font);
    font-weight: 500;
    letter-spacing: .2rem;
    margin-bottom: 3rem;
}

/* Button styles */

.bttn {
    display: block;
    margin: 40px auto;
    padding: 12px 20px;
    background: var(--main-color);
    color: var(--bg-color);
    font-size: 15px;
    letter-spacing: 1px;
    font-weight: 600;
    border-radius: 5px;
    transition: all .35s ease;
    text-align: center;
    text-decoration: none;
    width: fit-content;
}


.btn {
    display: inline-block;
    padding: 13px 25px;
    background: var(--main-color);
    color: var(--bg-color);
    font-size: 15px;
    letter-spacing: 1px;
    font-weight: 600;
    border-radius: 5px;
    transition: all .35s ease;
}

.btn:hover {
    transform: translateY(-5px);
    background: var(--text-color);
}

/* Sticky header styles */
header.sticky{
    background: var(--bg-color);
    padding: 14px 14%;
    box-shadow: 0px 0px 10px rgb(0 0 0 / 105);
}

/* Center text styles */
.center-text{
    text-align: center;
}

.center-text h2{
    font-size: var(--h2-font);
}

  




.last-word {
    text-align: center;
    margin: 20px;
    padding: 20px; 
    background-color: var(--bg-color); 
    border-radius: 10px; 
    box-shadow: 0 9px 9px rgba(84, 84, 84, 0.4); 
    height: 250px; 
    width: 300px;

  }
  
  .last-word a {
    font-size: 40px;
    color: var(--main-color);
    text-decoration: none;

  }


  .last-word a:hover {
    color: #000000; 
  }
  
  
  .last-word i {
    vertical-align: middle;
  }
  
  .last-word h3 {
    font-size: 16px;
    margin: 15px;
    color: #000000; 
  }
  
 
  .last-word p {
    font-size: 14px;
    color: #000000; 
    margin: 0;
  }
  





/* Featured content styles */
.Featured-content{
    display: grid;
    gap: 1.3rem;
    margin-top: 100px ;
    justify-content: space-between;
    grid-template-columns: repeat(auto-fit , minmax(250px , 1fr));
    align-items: center;
}
    


/* Featured row styles */
.row {
    transition: all .40s ease;
    position: relative;
    text-align: center;
    display: inline-block;
    margin-bottom: 20px;
  }

.row img {
    width: 100%;
    height: auto; 
    border-radius: 10px;
}


.row::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 99%;
  background-color: rgba(0, 0, 0, 0.2); 
  z-index: 1;
  border-radius: 10px;
}

/* Featured text styles */
.fea-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    color: var(--bg-color);
    text-align: center;
}

.fea-text h5{
    font-size: 19px;
    letter-spacing: 2px;
}

/* Featured arrow styles */
.row {
    position: relative; /* Set relative positioning for the parent container */
}

.row .arrow {
    position: absolute;
    top: 150%; 
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.row .arrow i {
    height: 35px;
    width: 35px;
    background: var(--bg-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--text-color);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: all .35s ease;
}

.row:hover .arrow {
    opacity: 1; 
}

.row:hover {
    transform: scale(0.9) translateY(-5px);
    cursor: pointer;
}

.row:hover i {
    background: var(--main-color);
    color: var(--bg-color);
}




/* Call to action (cta) styles */
.cta{
    height: 70vh;
    width: 100%;
    background: url(images/hijab4.jpg);
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;

}


.final {
    position: relative;
    height: 70vh;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: url(images/leaves.jpg);
    background-size: cover;
    background-position: center;
    overflow: hidden; 
}


.final img {
    width: 100%;
    height: auto;
    display: block; 
}



/* Cta text styles */
.cta-text h6 {
    font-size: 17px;
    font-weight: 500;
    letter-spacing: 6px;
    margin-bottom: 14px;

}

.cta-text h4 {
    font-size: 35px;
    line-height: 1.4;
    letter-spacing: .5rem;
    margin-bottom: 30px;
    padding-right: -90px;
}


/* New content styles */
.new-content{
    display: grid;
    grid-template-columns: repeat(auto-fit , minmax(200px , 1fr));
    gap: 1.3rem;
    align-items: center;
    margin-top: 100px ;
    text-align: left;

}

.heart-icon{
    position: absolute;
    right: 10px;
    top: 85%;
}

.heart-icon:hover{
    color: rgb(202, 8, 8);
}

/* Box styles */
.box{
    position: relative;
    transition: all .40s ease;

}

.box h5{
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 10px;
    
}

.box h6{
    font-size: 16px;
    font-weight: 700;
}

/* Box styles */
.box img {
    width: 100%;
    height: 100%; 
    border-radius: 10px;
    margin-bottom: 20px;
    
}



.new .box button.add-to-cart-btn {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    padding: 10px 10px; 
    cursor: pointer;
    border-radius: 5px;
    border-color: var(--main-color);
    color: var(--main-color);
    background-color: var(--bg-color);
}

.new .box:hover button.add-to-cart-btn {
    opacity: 1; 
}

  

/* Sale badge styles */
.sale{
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 30px;
    background: var(--main-color);
    color: var(--bg-color);
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.box:hover{
    transform: scale(0.9) translateY(-5px);
    cursor: pointer;
}

/* Brand section styles */
.brand{
    padding: 50px 14%;
}

/* Brand content styles */
.brand-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15px, auto));
    gap: 2rem;
    align-items: center;
    justify-content: center;
}

/* Brand images styles */
.main img{
    width: 100%;
    height: auto;
    opacity: 0.6;
    transition: all .35 ease;
    cursor: pointer;
}

.main img:hover{
    opacity: 1;
}


/* Contact section styles */
.Contact {
    display: flex;
    justify-content: space-around; 
    background: var(--text-color);
    padding-bottom: 70px;
}

.main-contact {
    text-align: left; 
    margin: 10px; 
}

.main-contact h5{
    font-size: 15px;
    font-weight: 600;
    color: #555;
}

.main-contact h3 {
    font-size: 23px;
    margin-bottom: 20px;
    color: var(--bg-color);}

.main-contact ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

/* List item links styles in main contact */
.main-contact li a{
    display: block;
    color: #555;
    font-size: var(--normal-font);
    font-weight: 600;
    transition: all .35s ease;
    text-decoration: none; 
    padding: 10px;

}

.main-contact li a:hover{
    transform: translateX(-8px);
    color: var(--bg-color);
}


/* Social icons styles */

.icons a {
    text-decoration: none;
    color: inherit;
}

.icons{
    display: flex;
    margin-top: 2rem;
}

.icons i{
    font-size: 25px;
    margin-right: 1rem;
    color: #555;
    transition: all .35s ease;
}

.icons i:hover{
    color: var(--bg-color);
    transform: scale(1.1) translateY(-5px);
}


/* Copyright section styles */
.copyright{
    text-align: center;
    padding-bottom: 15px;
    background: var(--text-color);
}

/* Copyright text styles */
.copyright p{
    color: #555;
    font-size: 14px;
    letter-spacing: 1px;
}

/* Scroll top button styles */
.top{
    position: fixed;
    bottom: 2rem;
    right: 2rem;
}

.top i{
    font-size: 22px;
    color: var(--bg-color);
    padding: 14px;
    background: var(--main-color);
    border-radius: 2rem;
}


/* ------------- TABLET ----------- */
@media (max-width: 1100px) {

    header {
        padding: 7px 4%;
        transition: .2s;
    }
 
    header.sticky {
        padding: 14px 4%;
        transition: .2s;
    }
    
    section {
        padding: 80px;
        transition: .1s;
    }

    #menu-icon {
        display: none;
    }
    

    .last-word {
        display: none;
        margin-bottom: 20px; /* Add some space between the last word section and other content */
    }
    
    .last-word.active {
        display: block;
    }
    
    .final {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
       
      }


       
/* ------------- PHONE ----------- */
 @media (max-width: 780px) {

        #menu-icon {
            display: block;
            font-size: 34px;
            color: var(--text-color);
            z-index: 10001;
           
        }


        .header-icons{
            display: inline-flex;
        }
        
        .navlist{
            position: absolute;
            top: 100%;
            left: 100%;
            width: 280px;
            height: 120vh;
            background-color: var(--bg-color);
            display: flex;
            align-items: center;
            flex-direction: column;
            padding: 150px 30px;
            transition: all .45s ease;
            font-size: 14px;

            
        }

        
        .navlist a{
            display: block;
            margin: 1.2rem 0;
            padding: 10px 15px;
            font-size: 14px;
        }

        .navlist.open{
            left: 0;
        }
    }
    
        .cta-text h4{
        white-space: nowrap;
        font-size: 24px;
        margin-bottom: 20px;

        }


        .center-text h2{
            font-size:30px;
         
        }

                .cta-text a{

            font-size: 20px;


        }

            header {
                padding: 10px 5%;
            }
        
            .logo {
                font-size: 24px;
            }
        
          
            .home {
                padding-left: 20px;
                padding-top: 150px;
            }
        
            .home-text h1 {
                font-size: 3rem;
                letter-spacing: 0.3rem;
            }
        
            .home-text span {
                font-size: 2.5rem;
            }
        
            .home-text p {
                font-size: 14px;
                margin-bottom: 2rem;
            }
        

            .btn {
                padding: 10px 20px;
                font-size: 14px;
            }
        
            section {
                padding: 50px 5%;
            }
        


            .cta {
                height: 50vh;
            }
        
            .cta-text h6 {
                font-size: 12px;
                margin-bottom: 10px;
            }

            
            .cta-text h4 {
                font-size: 15px;
                margin-bottom: 10px;
            }
                

                       .cta-text a {
                font-size: 16px;
                margin-top: 10px;
            }
        

        
            .Featured-content {
                margin-top: 25px ;
                padding: 30px;
            }

            
            .row img {
                height: 100%;
                border-radius: 5px;

                
            }
            
                    .fea-text h5 {
                font-size: 20px;
            }
        

                     .new-content {
                margin-top:30px ;
            }


            .box{
                padding: 20px;
            }
            

            .box h5 {
                font-size: 17px;
                margin-bottom: 9px;
            }

        
            .box h6 {
                font-size: 15px;
            }
        

            .heart-icon {
                font-size: 15px;
                position: absolute;
                right: 50px;
                top: 88%;
            }


           

        .last-word {
            display: none;
            margin-bottom: 0;
          }
        
          .last-word.active {
            display: block;
          }
        
          .final {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
          }
        
          .dots-container {
            display: flex;
          }
        
          .dot {
              height: 15px;
              width: 15px;
              margin: 0 5px; 
              background: radial-gradient(circle, #ccc 30%, #bbb 70%);
              border-radius: 50%;
              cursor: pointer;
            }
            
            .dot.active {
              background: radial-gradient(circle, #888 30%, #607274 70%);
            }
  
            
        
            
            .main-contact h5 {
                font-size: 18px;
            }
        
            .main-contact h3 {
                font-size: 15px;
                margin-bottom: 15px;
                
            }
        
            .main-contact li a {
                font-size: 14px;
                padding: 8px;
            }
        
            .copyright p {
                font-size: 12px;
                text-align: left;
                margin-left: 30px;
            }
        
            .top i {
                font-size: 18px;
                padding: 10px;
            }




            .Contact {
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
            }
            
            .main-contact {
                flex: 0 1 48%; 
                margin-bottom: 20px;
            }
            
            

        }



